[arch-commits] Commit in gzip/trunk (gzip.install)

Tobias Powalowski tpowa at archlinux.org
Sun May 10 04:31:10 EDT 2009


    Date: Sunday, May 10, 2009 @ 04:31:10
  Author: tpowa
Revision: 38761

'add missing install file'

Added:
  gzip/trunk/gzip.install

--------------+
 gzip.install |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

Added: gzip.install
===================================================================
--- gzip.install	                        (rev 0)
+++ gzip.install	2009-05-10 08:31:10 UTC (rev 38761)
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+filelist=(gzip.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+    usr/bin/install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    usr/bin/install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+



More information about the arch-commits mailing list